## barry 0.2.1

=== DESCRIPTION ===
Package: barry
Type: Package
Title: Your Go-to Motif Accountant
Version: 0.2.1
Depends: R (>= 4.1.0)
Authors@R: c(
  person(given="George", family="Vega Yon", role=c("aut", "cre"),
  email="g.vegayon@gmail.com", comment = c(ORCID = "0000-0002-3171-0844"))
  )
Description: Provides the 'C++' header-only library 'barry' for use in R packages. 
 'barry' is a 'C++' template library for counting sufficient statistics on binary 
 arrays and building discrete exponential-family models. It provides tools for 
 sparse arrays, user-defined count statistics, support set constraints, 
 power set generation, and includes modules for Discrete Exponential Family Models 
 (DEFMs) and network statistics. By placing these headers in this package, we 
 offer an efficient distribution system for CRAN as replication of this code in 
 the sources of other packages is avoided. This package follows the same 
 approach as the 'BH' package which provides 'Boost' headers for R packages.
URL: https://github.com/USCbiostats/barryr,
        https://uscbiostats.github.io/barryr/
BugReports: https://github.com/USCbiostats/barryr/issues
License: MIT + file LICENSE
RoxygenNote: 7.3.3
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2025-11-24 20:51:09 UTC; runner
Author: George Vega Yon [aut, cre] (ORCID:
    <https://orcid.org/0000-0002-3171-0844>)
Maintainer: George Vega Yon <g.vegayon@gmail.com>
Repository: CRAN
Date/Publication: 2025-12-01 13:50:02 UTC

## barry 0.18.3

=== android/Makefile ===
#
# \file Makefile
#       Make rules for building Barry and dependent libraries for Android
#
#    Copyright (C) 2011-2012 RealVNC Ltd.
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
#
#    See the GNU General Public License in the COPYING file at the
#    root directory of this project for more details.

LIBUSB_NAME=libusb-1.0.8
LIBICONV_NAME=libiconv-1.13.1
NDK_OUTPUT_FILES=libusb1.0.so lsusb libiconv.so \
	btool brawchannel bidentify bjavaloader bjvmdebug \
	upldif bktrans breset bcharge pppob brecsum
include jni/Application.mk
NDK_OUTPUT_ARCHES=$(APP_ABI)
NDK_BINARIES=$(addprefix libs/, $(foreach ARCH,$(NDK_OUTPUT_ARCHES),$(addprefix $(ARCH)/, $(NDK_OUTPUT_FILES))))
ANDROID_TOOLCHAIN_DIR=android-ndk-tools
ANDROID_NDK_PATH=$(dir $(shell which ndk-build))
WGET=wget

EXTRA_DIST = \
  jni/Android.mk \
  jni/Application.mk \
  jni/BarryTool.mk \
  jni/barry/config.h \
  jni/libusb/config.h \
  README

all: android-binaries

.PHONY: android-binaries

$(LIBUSB_NAME).tar.bz2:
	$(WGET) http://sourceforge.net/projects/libusb/files/libusb-1.0/$(LIBUSB_NAME)/$(LIBUSB_NAME).tar.bz2/download -O $(LIBUSB_NAME).tar.bz2

$(LIBICONV_NAME).tar.gz:
	$(WGET) http://ftp.gnu.org/pub/gnu/libiconv/$(LIBICONV_NAME).tar.gz -O $(LIBICONV_NAME).tar.gz

$(LIBUSB_NAME): $(LIBUSB_NAME).tar.bz2
	tar jxf $(LIBUSB_NAME).tar.bz2
	touch $(LIBUSB_NAME)

$(LIBICONV_NAME): $(LIBICONV_NAME).tar.gz
	tar zxf $(LIBICONV_NAME).tar.gz
	touch $(LIBICONV_NAME)

$(ANDROID_TOOLCHAIN_DIR):
	$(ANDROID_NDK_PATH)/build/tools/make-standalone-toolchain.sh --install-dir="$(ANDROID_TOOLCHAIN_DIR)"

jni/barry_root:
	ln -s ../../ jni/barry_root

jni/barry/barry:
	ln -s ../../../src jni/barry/barry


android-binaries: jni/barry_root jni/barry/barry $(LIBUSB_NAME) $(LIBICONV_NAME) $(ANDROID_TOOLCHAIN_DIR)
	+ANDROID_TOOLCHAIN_DIR="$(realpath $(ANDROID_TOOLCHAIN_DIR))" ndk-build

distclean: clean
	-$(RM) $(LIBUSB_NAME).tar.bz2
	-$(RM) $(LIBICONV_NAME).tar.gz
	-$(RM) -rf libs

clean:
	-$(RM) -rf $(LIBUSB_NAME)
	-$(RM) -rf $(LIBICONV_NAME)
	-$(RM) jni/barry_root
	-$(RM) jni/barry/barry
	-$(RM) -rf obj
	-$(RM) -rf $(NDK_BINARIES)
	-$(RM) -rf $(ANDROID_TOOLCHAIN_DIR)

=== debian/changelog ===
barry (0.18.3-5~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- intrigeri <intrigeri@debian.org>  Fri, 23 Nov 2012 17:04:50 +0100

barry (0.18.3-5) unstable; urgency=low

  * Removed dependency on ppp for kfreebsd, since kernel side pppd is not
    available, and freebsd-ppp is not fully supported yet.  Also changed
    barrydeskop's ppp Depend into a Recommend, since Barry can technically
    run without it. (Closes: #678233)

 -- Chris Frey <cdfrey@foursquare.net>  Fri, 22 Jun 2012 17:56:40 -0400

barry (0.18.3-3) unstable; urgency=low

  * Fixed build-dep order for autopoint (Closes: #676321)

 -- Chris Frey <cdfrey@foursquare.net>  Wed, 06 Jun 2012 17:08:40 -0400

barry (0.18.3-2) unstable; urgency=low

  [Chris Frey]
  * New upstream version 0.18.3 (Closes: #582189, #582187, #657076, LP: #500370)
  * Moved opensync-plugin into its own build
  * Removed dependency of libbarry-dev on libusb-dev
  * Removed .la files
  * Added new PPP chat scripts, including: kpn, telus, optus, vodafone AU,
    orangeuk, mts
  * Added new programs: bwatch, btarcmp, bjdwp, balxparse, bio, brawchannel
  * New udev rules set, and now under /lib/udev/rules.d
  * Added Bash and Zsh completion scripts
  * Updated Standards-Version to 3.9.3
  * Reviewed debhelper(7) manpage changes and updated compat to 7 (2012/03/03)
  * New logo and icons
  * Added NLS support
  * Moved hal-blackberry script to /usr/lib/barry/
  * Added lintian override for libosyncwrap in the barrydesktop package
  * Updated debian/rules to allow for building with an external debian/
    directory.
  * Install examples and documentation.
  * Configure --with-zlib and --enable-boost.
  * Add gettext, autopoint, libsdl-dev, and libxml++2.6-dev to build-deps.
  * Added support for hardened builds
  * Use 3.0 (quilt) source format, as per intrigeri's patch

  [ intrigeri ]
  * Drop obsolete patch, stop using deprecated simple-patchsys.
  * Use 3.0 (quilt) source format.
  * Make barry-util.postinst script use 'set -e' rather than '/bin/sh -e'.
  * Avoid duplicate short descriptions.
  * Fix typo in description (Closes: #598878)
  * Fix syntax of old debian/changelog entry.
  * Fix section of -dbg packages.
  * Add Homepage control field.
  * Link to the correct version of GPL and LGPL.
  * Revert useless changes to upstream files.

  [ Martin Owens ]
  * Add versionned dependency from barry-util and barrybackup-gui on libbarry0.

 -- Chris Frey <cdfrey@foursquare.net>  Tue, 15 May 2012 01:32:40 -0400

barry (0.15-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Install udev rules into /lib/udev/rules.d (Closes: #561243, #622564)
  * Fix uninstallability on kfreebsd-* by making barry-util depend on udev
    on Linux only (Closes: #639594)
  * Install udev rules on Linux only.

 -- intrigeri <intrigeri+debian@boum.org>  Sun, 16 Oct 2011 20:04:55 +0200

barry (0.15-1.1) unstable; urgency=low

  * Non-maintainer upload
  * Maintainer most apparently MIA
  * Remove opensync plugins, closes: #569443, #591990
    Thanks: Mathias Klose <doko@ubuntu.com>
  * added missing bjavaloader and bfuse programs, closes: #548317
    Thanks: Fabrice Coutadeur <fabricesp@ubuntu.com>
  * Remove .la file (no reverse build dependencies), closes: #621271

 -- Riku Voipio <riku.voipio@linaro.org>  Tue, 16 Aug 2011 10:54:04 +0300

barry (0.15-1ubuntu1) lucid; urgency=low

  * Merge from debian testing (LP: #426716), remaining changes:
    - debian/barry-util.preinst:
      + Remove old rules,path if unmodified
    - debian/barry-util.postinst:
      + Otherwise move to new path
    - debian/control:
      + Update udev dependency

 -- Bhavani Shankar <right2bhavi@gmail.com>  Fri, 06 Nov 2009 17:54:31 +0530

barry (0.15-1) unstable; urgency=low

  * New Upstream Version
    + Adds support for Curve 8900 (Closes: #524677)
  * Ack NMU. Thanks to Cyril Brulebois for it.
  * Updated patches:
     - fix-ftbfs-with-new-boost.diff: deleted, fixed upstream.
     - fix-ftbfs-with-gcc-4.4.diff: updated
  * debian/rules:
    + Install udev files from its new location.
    + Use .conf for modprobe config files (Closes: #518571)
  * debian/barry-util.install: do not try to install removed bs11nread util

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sat, 29 Aug 2009 22:57:03 +0200

barry (0.14-2.1ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes: LP: #401296
    - debian/rules:
      + Install udev rules into /lib/udev/rules.d now
      + Install modprobe file as blacklist-berry_charge.conf
    - debian/barry-util.preinst:
      + Remove old rules,path if unmodified
    - debian/barry-util.postinst:
      + Otherwise move to new path
    - debian/control:
      + Update udev dependency  

 -- Bhavani Shankar <right2bhavi@gmail.com>  Sun, 19 Jul 2009 12:21:14 +0530

barry (0.14-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with new boost (>= 1.37.0) by using the “-mt” suffix for
    boost libraries since starting with this version, only this variant
    is available (Closes: #529722). Add the following patch:
     - fix-ftbfs-with-new-boost.diff (thanks to Steve M. Robbins)
  * Fix FTBFS with gcc-4.4 (Closes: #505342):
     - fix-ftbfs-with-gcc-4.4.diff (thanks to Martin Michlmayr)
  * debian/rules: Add the simple-patchsys.mk include to get both patches
    applied.
  * Set urgency to “medium”, both bugs affect testing too.
  * Add ${misc:Depends} to all Depends fields.

 -- Cyril Brulebois <kibi@debian.org>  Sat, 18 Jul 2009 12:54:03 +0200

barry (0.14-2ubuntu2) jaunty; urgency=low

  * debian/rules: install modprobe file as blacklist-berry_charge.conf
  * debian/barry-util.preinst: Remove old path if unmodified
  * debian/barry-util.postinst: Otherwise move to new path

 -- Scott James Remnant <scott@ubuntu.com>  Thu, 05 Mar 2009 20:14:50 +0000

barry (0.14-2ubuntu1) jaunty; urgency=low

  * debian/rules: Install udev rules into /lib/udev/rules.d now


=== debian/control ===
#
# Ideally, the evolution source path autodetection routines would
# load libebook and libecal dynamically, so that dependencies would
# not force the inclusion of evolution-data-server and friends.
#
# But there are two problems with that, which need to be
# cracked first:
#
#     - the glib major version numbers, according to the .so
#       files, are not consistent between distros
#     - when used dynamically, in a program that is not otherwise
#       linked to glib, it can segfault... and it seems to get
#       funky somewhere inside glib itself... so I'm guessing that
#       the library is not being initialized properly :-(
#
# All this means that general compilations of barrydesktop will
# need evolution-data-server and friends linked in.  It is possible
# to compile without by supplying --without-evolution on the configure
# command line, but then you risk getting a weak auto-detection
# of data sources in newer versions of evolution.  If your data
# sources are located in paths like this:
#
#      file:///home/cdfrey/.evolution/addressbook/local/system
#
# then it is safe to disable evolution for the barrydesktop compile.
#
# Otherwise, if your version of evolution is new, and uses funkier names,
# or uses local:system, or puts its files under ~/.config, then
# build --with-evolution and link against it.
#
Source: barry
Section: misc
Priority: optional
Maintainer: Chris Frey <cdfrey@foursquare.net>
Build-Depends: debhelper (>= 7.0.0), g++ (>= 4.1), cdbs, autoconf, autoconf-archive, automake, libtool, pkg-config, libusb-dev, libboost-serialization-dev, libxml++2.6-dev, libfuse-dev (>= 2.5), zlib1g-dev, libtar-dev, libglibmm-2.4-dev, libgtkmm-2.4-dev, libglademm-2.4-dev, autopoint | gettext (<< 0.18), libgcal-dev, wx-common, libwxgtk2.8-dev, libsdl-dev, evolution-data-server-dev, libebook1.2-dev, libedata-book1.2-dev, libedata-cal1.2-dev, libedataserver1.2-dev
Standards-Version: 3.9.3
Homepage: http://netdirect.ca/barry
Vcs-Git: git://repo.or.cz/barry.git
Vcs-Browser: http://repo.or.cz/w/barry.git

Package: libbarry18
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Library for using the BlackBerry handheld on Linux
 Barry is a GPL C++ library for interfacing with the RIM BlackBerry Handheld.
 .
 This package contains shared libraries for low level USB communication,
 backup file writing and parsing, sync support routines such as vcard
 support, JDWP debugging support, and ALX release file parsing.

Package: libbarry18-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libbarry18 (= ${binary:Version}), ${misc:Depends}
Description: Library for using the BlackBerry handheld (debug symbols)
 Barry is a GPL C++ library for interfacing with the RIM BlackBerry Handheld.
 .
 This package contains the debug versions of the shared libraries found
 in the libbarry package.

Package: libbarry-dev
Section: libdevel
Architecture: any
Depends: libbarry18 (= ${binary:Version}), ${misc:Depends}
Description: Development files for libbarry
 Barry is a GPL C++ library for interfacing with the RIM BlackBerry Handheld.
 .
 This package contains the header files required for building applications
 based on libbarry.

Package: barry-util
Section: utils
Architecture: any
Depends: libbarry18, udev [linux-any], python, ${shlibs:Depends}, ${misc:Depends}
Suggests: ppp [linux-any]
Description: Command line utilities for working with the RIM BlackBerry Handheld
 Barry is a GPL C++ library for interfacing with the RIM BlackBerry Handheld.
 .
 This package contains command line utilities, such as bcharge, btool,
 breset, bio, etc.  It also contains udev rules to automate USB charging
 as soon as devices are plugged in.

Package: barry-util-dbg
Section: debug
Priority: extra
Architecture: any
Depends: barry-util (= ${binary:Version}), ${misc:Depends}
Description: Command line BlackBerry utilities (debug symbols)
 Barry is a GPL C++ library for interfacing with the RIM BlackBerry Handheld.
 .
 This package contains the debug versions of the command line utilities
 from the barry-util package.

Package: barrybackup-gui
Section: utils
Architecture: any
Depends: libbarry18, ${shlibs:Depends}, ${misc:Depends}
Description: GTK+ GUI for backing up the RIM BlackBerry Handheld
 Barry is a GPL C++ library for interfacing with the RIM BlackBerry Handheld.
 .
 This package contains a GUI application for making backups and restores.
 It supports configurations to select individual device databases, or to
 restore only certain databases from out of a backup file.  It supports
 multiple devices plugged in at the same time.

Package: barrybackup-gui-dbg
Section: debug
Priority: extra
Architecture: any
Depends: barrybackup-gui (= ${binary:Version}), ${misc:Depends}
Description: GTK+ GUI for backing up BlackBerry (debug symbols)
 Barry is a GPL C++ library for interfacing with the RIM BlackBerry Handheld.
 .
 This package contains the debug version of the backup GUI from the
 barrybackup-gui package.

Package: barrydesktop
Section: utils
Architecture: any
Depends: libbarry18, barry-util, xterm, ${shlibs:Depends}, ${misc:Depends}
Recommends: barrybackup-gui, ppp [linux-any]
Suggests: gksu
Description: Desktop Panel GUI for the RIM BlackBerry Handheld
 Barry is a GPL C++ library for interfacing with the RIM BlackBerry Handheld.
 .
 This package contains the top level Barry Desktop GUI management
 application for backups, syncing with OpenSync 0.2x and 0.4x, modem
 operation, device data migration, and desktop editing of database
 records via the GUI (Address Book, Calendar, Tasks, Memos).

Package: barrydesktop-dbg
Section: debug
Priority: extra
Architecture: any
Depends: barrydesktop (= ${binary:Version}), ${misc:Depends}
Description: Desktop Panel GUI for the RIM BlackBerry Handheld (debug symbols)
 Barry is a GPL C++ library for interfacing with the RIM BlackBerry Handheld.
 .
 This package contains the debug files for the Barry desktop found in the
 barrydesktop package.

#Package: barry-doc
#Architecture: all
#Description: Documentation for barry
# Barry is a GPL C++ library for interfacing with the RIM BlackBerry Handheld.
# It comes with a command line tool for exploring the device and for making quick
# backups. The goal of this project is to create a fully functional syncing
# mechanism on Linux.

=== debian/rules ===
#!/usr/bin/make -f
# Based on the multi2 sample debian/rules file:
# ---
# Sample debian/rules that uses debhelper.
# This file is public domain software, originally written by Joey Hess.

#export DH_VERBOSE=1
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
#include /usr/share/cdbs/1/rules/simple-patchsys.mk

# The following is for systems that support hardened builds.
# Not all systems have this support, so make it conditional on buildflags.mk
ifneq ($(strip $(wildcard /usr/share/dpkg/buildflags.mk)),)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall
include /usr/share/dpkg/buildflags.mk
endif

# where sources are
DEB_SRCDIR = .

# in which directory to build
DEB_BUILDDIR = .

# in which directory to install the sofware
DEB_DESTDIR = $(CURDIR)/debian/tmp

#CDBS automatically handles common flags to pass to the configure script,
#but it is possible to give some extra parameters :
DEB_CONFIGURE_EXTRA_FLAGS := --enable-boost --enable-nls --with-zlib --enable-gui --enable-desktop --with-guisu=/usr/bin/gksu $(BARRY_CONFIGURE_OPTS) --with-libusb --enable-rpathhack --with-evolution
COMMON_CONFIGURE_FLAGS := --prefix=/usr
DEB_INSTALL_DOCS_ALL =

install/barry-util::
ifeq ($(DEB_HOST_ARCH_OS), linux)
	# Install udev rules for the barry-util package
	install -d $(CURDIR)/debian/barry-util/lib/udev/rules.d
	install -m 0644 \
		$(DEB_SRCDIR)/udev/10-blackberry.rules \
		$(DEB_SRCDIR)/udev/99-blackberry-perms.rules \
		$(CURDIR)/debian/barry-util/lib/udev/rules.d
endif
	# Install modprobe blacklist file for bcharge, into barry-util package
	install -d $(CURDIR)/debian/barry-util/etc/modprobe.d
	install -m 0644 $(DEB_SRCDIR)/modprobe/blacklist-berry_charge.conf $(CURDIR)/debian/barry-util/etc/modprobe.d/blacklist-berry_charge.conf
	# Install default ppp options and chat scripts
	install -d $(CURDIR)/debian/barry-util/etc/ppp/peers
	install -m 0644 \
		$(DEB_SRCDIR)/ppp/barry-rogers \
		$(DEB_SRCDIR)/ppp/barry-minimal \
		$(DEB_SRCDIR)/ppp/barry-verizon \
		$(DEB_SRCDIR)/ppp/barry-sprint \
		$(DEB_SRCDIR)/ppp/barry-telus \
		$(DEB_SRCDIR)/ppp/barry-o2ireland \
		$(DEB_SRCDIR)/ppp/barry-tmobileus \
		$(DEB_SRCDIR)/ppp/barry-att_cingular \
		$(DEB_SRCDIR)/ppp/barry-chinamobile \
		$(DEB_SRCDIR)/ppp/barry-kpn \
		$(DEB_SRCDIR)/ppp/barry-orange-spain \
		$(DEB_SRCDIR)/ppp/barry-orangeuk \
		$(DEB_SRCDIR)/ppp/barry-mts \
		$(DEB_SRCDIR)/ppp/barry-optus-au \
		$(DEB_SRCDIR)/ppp/barry-vodafone-au \
		$(CURDIR)/debian/barry-util/etc/ppp/peers
	install -d $(CURDIR)/debian/barry-util/etc/chatscripts
	install -m 0640 \
		$(DEB_SRCDIR)/ppp/barry-rogers.chat \
		$(DEB_SRCDIR)/ppp/barry-minimal.chat \
		$(DEB_SRCDIR)/ppp/barry-verizon.chat \
		$(DEB_SRCDIR)/ppp/barry-sprint.chat \
		$(DEB_SRCDIR)/ppp/barry-telus.chat \
		$(DEB_SRCDIR)/ppp/barry-o2ireland.chat \
		$(DEB_SRCDIR)/ppp/barry-tmobileus.chat \
		$(DEB_SRCDIR)/ppp/barry-att_cingular.chat \
		$(DEB_SRCDIR)/ppp/barry-chinamobile.chat \
		$(DEB_SRCDIR)/ppp/barry-kpn.chat \
		$(DEB_SRCDIR)/ppp/barry-orange-spain.chat \
		$(DEB_SRCDIR)/ppp/barry-orangeuk.chat \
		$(DEB_SRCDIR)/ppp/barry-mts.chat \
		$(DEB_SRCDIR)/ppp/barry-optus-au.chat \
		$(DEB_SRCDIR)/ppp/barry-vodafone-au.chat \
		$(CURDIR)/debian/barry-util/etc/chatscripts
	# Install hal fdi configs
	install -d $(CURDIR)/debian/barry-util/usr/share/hal/fdi/information/10freedesktop
	install -d $(CURDIR)/debian/barry-util/usr/share/hal/fdi/policy/10osvendor
	install -m 0644 $(DEB_SRCDIR)/hal/fdi/information/10freedesktop/10-blackberry.fdi $(CURDIR)/debian/barry-util/usr/share/hal/fdi/information/10freedesktop
	install -m 0644 $(DEB_SRCDIR)/hal/fdi/policy/10osvendor/19-blackberry-acl.fdi $(CURDIR)/debian/barry-util/usr/share/hal/fdi/policy/10osvendor
	# Install hal support script
	install -d $(CURDIR)/debian/barry-util/usr/lib/barry
	install -m 0755 $(DEB_SRCDIR)/hal/hal-blackberry $(CURDIR)/debian/barry-util/usr/lib/barry
	# Install bash and zsh completion scripts
	install -d $(CURDIR)/debian/barry-util/etc/bash_completion.d
	install -m 0644 \
		$(DEB_SRCDIR)/bash/bjavaloader \
		$(DEB_SRCDIR)/bash/btool \
		$(CURDIR)/debian/barry-util/etc/bash_completion.d
	# Install examples/ into libbarry-dev
	install -d $(CURDIR)/debian/libbarry-dev/usr/share/doc/libbarry-dev/examples
	install -m 0644 $(DEB_SRCDIR)/examples/*.cc \
		$(CURDIR)/debian/libbarry-dev/usr/share/doc/libbarry-dev/examples

install/barrybackup-gui::
	# Install barry icon
	install -d $(CURDIR)/debian/barrybackup-gui/usr/share/pixmaps
	install -m 0644 $(DEB_SRCDIR)/logo/barry_logo_debian_menu_icon.xpm $(CURDIR)/debian/barrybackup-gui/usr/share/pixmaps/barry_backup_menu_icon.xpm
	# Install Gnome .desktop file
	install -d $(CURDIR)/debian/barrybackup-gui/usr/share/applications
	install -m 0644 $(DEB_SRCDIR)/menu/barrybackup.desktop $(CURDIR)/debian/barrybackup-gui/usr/share/applications

install/barrydesktop::
	# Install barry icon
	install -d $(CURDIR)/debian/barrydesktop/usr/share/pixmaps
	install -m 0644 $(DEB_SRCDIR)/logo/barry_logo_debian_menu_icon.xpm $(CURDIR)/debian/barrydesktop/usr/share/pixmaps/barry_desktop_menu_icon.xpm
	# Install Gnome .desktop file
	install -d $(CURDIR)/debian/barrydesktop/usr/share/applications
	install -m 0644 $(DEB_SRCDIR)/menu/barrydesktop.desktop $(CURDIR)/debian/barrydesktop/usr/share/applications

post-patches::
	@rm -f $(CURDIR)/deb_srcdir
	@ln -s $(DEB_SRCDIR) $(CURDIR)/deb_srcdir
	@test -x $(DEB_SRCDIR)/configure && echo "allready autoreconf" || (cd $(DEB_SRCDIR) && autoreconf -i)

os22-binary::
	# DEB_SRCDIR can be relative, so change into directory to use pwd.
	#
	# Note: that the compiler flags below depend on opensync-plugin's
	# debian/rules having a DESTDIR target of opensync-plugin/debian/tmp
	(cd $(DEB_SRCDIR) && \
		export TREE_BUILD_CXXFLAGS="-I`pwd`/opensync-plugin/debian/tmp/usr/include/barry18" && \
		export TREE_BUILD_LDFLAGS="-L`pwd`/opensync-plugin/debian/tmp/usr/lib" && \
		export PKG_CONFIG_PATH="`pwd`:$(PKG_CONFIG_PATH)" && \
		export LD_LIBRARY_PATH="`pwd`/opensync-plugin/debian/tmp/usr/lib:$(LD_LIBRARY_PATH)" && \
		cd opensync-plugin && \
		debian/rules TREE_BUILD_DIR="`pwd`/.." binary)

os22-clean::
	(cd $(DEB_SRCDIR)/opensync-plugin && debian/rules clean)

os4x-binary::
	# DEB_SRCDIR can be relative, so change into directory to use pwd.
	#
	# Note: that the compiler flags below depend on opensync-plugin-0.4x's
	# debian/rules having a DESTDIR target of opensync-plugin-0.4x/debian/tmp
	(cd $(DEB_SRCDIR) && \
		export TREE_BUILD_CXXFLAGS="-I`pwd`/opensync-plugin-0.4x/debian/tmp/usr/include/barry18" && \
		export TREE_BUILD_LDFLAGS="-L`pwd`/opensync-plugin-0.4x/debian/tmp/usr/lib" && \
		export PKG_CONFIG_PATH="`pwd`:$(PKG_CONFIG_PATH)" && \
		export LD_LIBRARY_PATH="`pwd`/opensync-plugin-0.4x/debian/tmp/usr/lib:$(LD_LIBRARY_PATH)" && \
		cd opensync-plugin-0.4x && \
		debian/rules TREE_BUILD_DIR="`pwd`/.." binary)

os4x-clean::
	(cd $(DEB_SRCDIR)/opensync-plugin-0.4x && debian/rules clean)

clean::
	-@rm -f $(CURDIR)/deb_srcdir

## barry 0.18.5

=== android/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # \file Makefile
 #       Make rules for building Barry and dependent libraries for Android
 #
-#    Copyright (C) 2011-2012 RealVNC Ltd.
+#    Copyright (C) 2011-2013 RealVNC Ltd.
 #
 #    This program is free software; you can redistribute it and/or modify
 #    it under the terms of the GNU General Public License as published by

=== debian/changelog ===
barry (0.18.5-1) unstable; urgency=low

  * New upstream version 0.18.5
  * Removed source/options and source/patch-header, using upstream versions
    instead.

 -- Chris Frey <cdfrey@foursquare.net>  Sun, 17 Nov 2013 17:29:40 -0500

barry (0.18.4-2) unstable; urgency=low

  * Fixed Break/Replace dependency for barry-backup.mo move
  * Removed unnecessary subshell in barry-doc packaging
  * Bumped standards version to 3.9.4 and added default branch to Vcs-Git
  * Added source/options and source/patch-header

 -- Chris Frey <cdfrey@foursquare.net>  Tue, 05 Nov 2013 16:12:40 -0500

barry (0.18.4-1) unstable; urgency=low

  * New upstream version 0.18.4
    - Added barrydesktop.mo and barryosyncwrap.mo files for Desktop
    - Added ppp chatscripts for eMobile Ireland
    - Partial Spanish translation, and updated French translations
    - Fixed potential pppob hang on shutdown
    - Added pty support to pppob with the -t option
    - Fixed device renaming bug in Desktop
    - Added i18n support in various apps, especially the Desktop
    - Fixed missing BXEXPORT for DataQueue library class
    - Fixed incorrect handling of vformat line endings when syncing and
      using MIME formats
    - Added serial number option (-s) to bidentify
    - Added Evolution 3.6 support to EvoSources.cc (only useful for builds
      using OpenSync)
    - Added Bold 9930 ipmodem timeout fix
    - Added support for converting "Calendar - All" databases to MIME
  * New barry-doc package which includes the html user docs (Closes: #582190)
    This adds new php5-cli build dependency.
  * Moved barry-backup.mo from barry-util package to barrybackup-gui

 -- Chris Frey <cdfrey@foursquare.net>  Fri, 04 Apr 2013 14:20:40 -0400

barry (0.18.3-6) unstable; urgency=low

  * Disabled evolution dependency in Desktop build, for upcoming
    evolution 3.8 in sid. (Closes: #722032)

 -- Chris Frey <cdfrey@foursquare.net>  Sun, 08 Sep 2013 15:00:07 -0400

=== debian/control ===
--- 
+++ 
@@ -32,10 +32,10 @@
 Section: misc
 Priority: optional
 Maintainer: Chris Frey <cdfrey@foursquare.net>
-Build-Depends: debhelper (>= 7.0.0), g++ (>= 4.1), cdbs, autoconf, autoconf-archive, automake, libtool, pkg-config, libusb-dev, libboost-serialization-dev, libxml++2.6-dev, libfuse-dev (>= 2.5), zlib1g-dev, libtar-dev, libglibmm-2.4-dev, libgtkmm-2.4-dev, libglademm-2.4-dev, autopoint | gettext (<< 0.18), libgcal-dev, wx-common, libwxgtk2.8-dev, libsdl-dev, evolution-data-server-dev, libebook1.2-dev, libedata-book1.2-dev, libedata-cal1.2-dev, libedataserver1.2-dev
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 7.0.0), g++ (>= 4.1), cdbs, autoconf, autoconf-archive, automake, libtool, pkg-config, libusb-dev, libboost-serialization-dev, libxml++2.6-dev, libfuse-dev (>= 2.5), zlib1g-dev, libtar-dev, libglibmm-2.4-dev, libgtkmm-2.4-dev, libglademm-2.4-dev, autopoint | gettext (<< 0.18), libgcal-dev, wx-common, libwxgtk2.8-dev, libsdl-dev, php5-cli
+Standards-Version: 3.9.4
 Homepage: http://netdirect.ca/barry
-Vcs-Git: git://repo.or.cz/barry.git
+Vcs-Git: git://repo.or.cz/barry.git -b v0.18.x
 Vcs-Browser: http://repo.or.cz/w/barry.git
 
 Package: libbarry18
@@ -97,6 +97,8 @@
 Section: utils
 Architecture: any
 Depends: libbarry18, ${shlibs:Depends}, ${misc:Depends}
+Replaces: barry-util (<< 0.18.4-1)
+Breaks: barry-util (<< 0.18.4-1)
 Description: GTK+ GUI for backing up the RIM BlackBerry Handheld
  Barry is a GPL C++ library for interfacing with the RIM BlackBerry Handheld.
  .
@@ -126,9 +128,9 @@
  Barry is a GPL C++ library for interfacing with the RIM BlackBerry Handheld.
  .
  This package contains the top level Barry Desktop GUI management
- application for backups, syncing with OpenSync 0.2x and 0.4x, modem
- operation, device data migration, and desktop editing of database
- records via the GUI (Address Book, Calendar, Tasks, Memos).
+ application for backups, modem operation, device data migration,
+ and desktop editing of database records via the GUI (Address Book,
+ Calendar, Tasks, Memos).
 
 Package: barrydesktop-dbg
 Section: debug
@@ -141,11 +143,15 @@
  This package contains the debug files for the Barry desktop found in the
  barrydesktop package.
 
-#Package: barry-doc
-#Architecture: all
-#Description: Documentation for barry
-# Barry is a GPL C++ library for interfacing with the RIM BlackBerry Handheld.
-# It comes with a command line tool for exploring the device and for making quick
-# backups. The goal of this project is to create a fully functional syncing
-# mechanism on Linux.
+Package: barry-doc
+Section: doc
+Architecture: all
+Depends: ${misc:Depends}
+Description: End user documentation for Barry Desktop and utilities
+ Barry is a GPL C++ library for interfacing with the RIM BlackBerry Handheld.
+ .
+ This package contains the end-user HTML documentation that comes with the
+ source code and which is also the basis for the documentation available
+ online at http://netdirect.ca/barry.  This package does not include the
+ doxygen documentation.

=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,7 @@
 
 #CDBS automatically handles common flags to pass to the configure script,
 #but it is possible to give some extra parameters :
-DEB_CONFIGURE_EXTRA_FLAGS := --enable-boost --enable-nls --with-zlib --enable-gui --enable-desktop --with-guisu=/usr/bin/gksu $(BARRY_CONFIGURE_OPTS) --with-libusb --enable-rpathhack --with-evolution
+DEB_CONFIGURE_EXTRA_FLAGS := --enable-boost --enable-nls --with-zlib --enable-gui --enable-desktop --with-guisu=/usr/bin/gksu $(BARRY_CONFIGURE_OPTS) --with-libusb --enable-rpathhack --without-evolution
 COMMON_CONFIGURE_FLAGS := --prefix=/usr
 DEB_INSTALL_DOCS_ALL =
 
@@ -53,6 +53,7 @@
 		$(DEB_SRCDIR)/ppp/barry-sprint \
 		$(DEB_SRCDIR)/ppp/barry-telus \
 		$(DEB_SRCDIR)/ppp/barry-o2ireland \
+		$(DEB_SRCDIR)/ppp/barry-emobile \
 		$(DEB_SRCDIR)/ppp/barry-tmobileus \
 		$(DEB_SRCDIR)/ppp/barry-att_cingular \
 		$(DEB_SRCDIR)/ppp/barry-chinamobile \
@@ -71,6 +72,7 @@
 		$(DEB_SRCDIR)/ppp/barry-sprint.chat \
 		$(DEB_SRCDIR)/ppp/barry-telus.chat \
 		$(DEB_SRCDIR)/ppp/barry-o2ireland.chat \
+		$(DEB_SRCDIR)/ppp/barry-emobile.chat \
 		$(DEB_SRCDIR)/ppp/barry-tmobileus.chat \
 		$(DEB_SRCDIR)/ppp/barry-att_cingular.chat \
 		$(DEB_SRCDIR)/ppp/barry-chinamobile.chat \
@@ -116,6 +118,14 @@
 	install -d $(CURDIR)/debian/barrydesktop/usr/share/applications
 	install -m 0644 $(DEB_SRCDIR)/menu/barrydesktop.desktop $(CURDIR)/debian/barrydesktop/usr/share/applications
 
+install/barry-doc::
+	# Build the static version of the docs
+	cp -a $(DEB_SRCDIR)/doc/www $(CURDIR)/debian
+	cd $(CURDIR)/debian/www && ./static.sh
+	# Install to share/doc
+	install -d $(CURDIR)/debian/barry-doc/usr/share/doc/barry-doc/www
+	install -m 0644 $(CURDIR)/debian/www/*.html $(CURDIR)/debian/www/*.png $(CURDIR)/debian/www/*.css $(CURDIR)/debian/barry-doc/usr/share/doc/barry-doc/www
+
 post-patches::
 	@rm -f $(CURDIR)/deb_srcdir
 	@ln -s $(DEB_SRCDIR) $(CURDIR)/deb_srcdir

=== debian/watch ===
version=3

# This file contains upstream's debian/ directory.
#http://sf.net/barry/barry-(.*)\.tar\.bz2

# This file has upstream's debian/ directory removed
http://sf.net/barry/barry_(.*)\.orig\.tar\.gz
